Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.lib
Class KeywordScript

    java.lang.Object
      com.sun.javatest.Script
          com.sun.javatest.lib.KeywordScript

    public class KeywordScript

extends Script

Default script, which delegates to one of a number of scripts defined in environment entries, according to the keywords on the test description.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.Script
`Script.TimeoutProvider`

Field Summary

Fields inherited from class com.sun.javatest.Script
`alarmTimer, backupPolicy, cmdOut1Name, cmdOut2Name, env, error_badExecuteArgs, error_badTestClassDir, error_compFailUnexp, error_noActionSpecified, error_noExecuteClass, error_noExtnInSource, error_noRMIClasses, error_noSource, excludedTestCases, fail_compFailUnexp, fail_compSuccUnexp, fail_execSuccUnexp, loader, noExtnInSource, noSource, notifier, pass_compFailExp, pass_compSuccExp, pass_execFailExp, scriptArgs, td, trOut, workDir`

Constructor Summary
`KeywordScript()`

Method Summary
`void` | `run()` Run the script, using the parameters set up by the standard initialization methods.
`Status` | `run(java.lang.String[] args, TestDescription td, TestEnvironment env)` The primary method to be provided by Scripts.

Methods inherited from class com.sun.javatest.Script
`compileIfNecessary, compileIfNecessary, compileIfNecessary, compileIfNecessary, compileIndividually, compileIndividually, compileIndividually, compileIndividually, compileOne, compileOne, compileOne, compileOne, compileTogether, compileTogether, compileTogether, compileTogether, exclude, execute, execute, execute, execute, filesToStrings, getJTRIfPassed, getTestDescription, getTestResult, getTestTimeout, getTimeoutProvider, initArgs, initBackupPolicy, initClassLoader, initDelegate, initExcludedTestCases, initTestDescription, initTestEnvironment, initTestResult, initWorkDir, invokeCommand, rmiCompile, rmiCompile, setAlarm, setAlarm, setDefaultCommandStreamNames, setJTRIfPassed, setNotifier, setTimeoutProvider, useNotifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeywordScript

    public KeywordScript()

Method Detail

### run

    public void run()

  Run the script, using the parameters set up by the standard initialization methods.

  Overrides:
    `run` in class `Script`

### run

    public Status run(java.lang.String[] args,
                      TestDescription td,
                      TestEnvironment env)

  Description copied from class: `Script`
  The primary method to be provided by Scripts. It is responsible for compiling and executing the test appropiately. Normally, a script should call `init' and then decode any script-specific options it is given in `args'. It should then examine the test description it is given so that it can compile and execute the test as appropriate. Various convenience routines are provided to simplify the task of running the compiler, an interpreter or any other commands, which can be specified in a flexible manner by properties in the TestEnvironment.

  Specified by:
    `run` in class `Script`
  Parameters:
    `args` - Any script-specific options specified in the script property
    `td` - The test description for the test to be performed
    `env` - The test environment giving the details of how to run the test
  Returns:
    The result of running the script
  See Also:
    `Script.compileIndividually(java.lang.String[])`, `Script.compileTogether(java.lang.String[])`, `Script.execute(java.lang.String, java.lang.String)`, `Script.invokeCommand(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.